com.threerings.puzzle.drop.util

## Interface PieceDestroyer.DestroyLogic

Enclosing class:
  PieceDestroyer

    public static interface PieceDestroyer.DestroyLogic

An interface to be implemented by specific puzzles to detail the parameters and methodology by which pieces are destroyed in the puzzle board.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMinimumLength()` Returns the minimum length of a contiguously piece segment that should be destroyed.
`boolean` `isEquivalent(int a, int b)` Returns whether piece `a` is equivalent to piece `b` for the purposes of including it in a contiguous piece segment to be destroyed.

### Method Detail

#### getMinimumLength

    int getMinimumLength()

Returns the minimum length of a contiguously piece segment that should be destroyed.

#### isEquivalent

    boolean isEquivalent(int a,
                         int b)

Returns whether piece `a` is equivalent to piece `b` for the purposes of including it in a contiguous piece segment to be destroyed.